## go-marker-selector

go-marker-selector

## Functions

GtkWidget * | go_marker_selector_new ()
void | go_marker_selector_set_auto_fill ()
void | go_marker_selector_set_colors ()
void | go_marker_selector_set_shape ()

## Description

## Functions

### go_marker_selector_new ()

    GtkWidget *
    go_marker_selector_new (GOMarkerShape initial_shape,
                            GOMarkerShape default_shape);

Creates a new marker selector.

#### Parameters

initial_shape | marker shape initially selected |
default_shape | automatic marker shape |

#### Returns

a new GtkWidget.

### go_marker_selector_set_auto_fill ()

    void
    go_marker_selector_set_auto_fill (GOSelector *selector,
                                      gboolean auto_fill);

#### Parameters

selector | a GOSelector |
auto_fill | whether to use a transparent color for opened markers such as cross, x, or asterisk. |

### go_marker_selector_set_colors ()

    void
    go_marker_selector_set_colors (GOSelector *selector,
                                   GOColor outline,
                                   GOColor fill);

Updates swatch colors of `selector` .

#### Parameters

selector | a GOSelector |
outline | outline color |
fill | fill color |

### go_marker_selector_set_shape ()

    void
    go_marker_selector_set_shape (GOSelector *selector,
                                  GOMarkerShape shape);

Updates marker shape of `selector` .

#### Parameters

selector | a GOSelector |
shape | new marker shape |